Skip to content

Get FI Score History

GET
/api/v1/fi-score/history

Get historical FI score data points over time. Supports different time periods (1m, 3m, 6m, 1y, all).

period

Time period for history data

string
default: 6m
Allowed values: 1m 3m 6m 1y all
Example
6m

FI score history

object
success
required
boolean
data
required
object
history
required
Array<object>
object
date
required

Data point date

string
Example
2026-01-15
score
required

FI score at this point in time

number
<= 100
Example
72
badge
required

Badge level at this point

string
Example
silver
components

Score component breakdown

object
fiProgress
required
number
passiveIncome
required
number
savingsRate
required
number
geoEfficiency
required
number
metrics

Financial metrics at this point

object
netWorth
required
number
savingsRate
required
number
passiveIncome
required
number
period
required

Requested period

string
meta
required
object
timestamp
required

Timestamp in ISO 8601 format

string format: date-time
Example
2024-01-15T10:30:00Z

Unauthorized

object
success
required

Always false for error responses

boolean
error
required

Error type

string
Example
Validation error
code

Machine-readable error code

string
Example
VALIDATION_ERROR
details

Detailed validation errors

Array<object>
object
path
required

Path to the invalid field

string
Example
currentAge
message
required

Error message

string
Example
Must be between 18 and 100